org.eclipse.viatra.query.patternlanguage.emf.scoping

## Class EMFPatternLanguageDeclarativeScopeProvider

- java.lang.Object
- - org.eclipse.xtext.xbase.scoping.batch.XbaseBatchScopeProvider
  - - org.eclipse.viatra.query.patternlanguage.emf.scoping.EMFPatternLanguageDeclarativeScopeProvider

- All Implemented Interfaces:
    org.eclipse.xtext.scoping.impl.IDelegatingScopeProvider, org.eclipse.xtext.scoping.IScopeProvider, org.eclipse.xtext.xbase.scoping.batch.IBatchScopeProvider

      public class EMFPatternLanguageDeclarativeScopeProvider
      extends org.eclipse.xtext.xbase.scoping.batch.XbaseBatchScopeProvider

  This scope provider extends the Xbase scope provider with EMF metamodel access.
  No Reference:
    This class is not intended to be referenced by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageDeclarativeScopeProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.xtext.scoping.IScope` | `createClassifierScope(org.eclipse.emf.ecore.EPackage ePackage, org.eclipse.xtext.scoping.IScope outer)`
    `protected org.eclipse.xtext.scoping.IScope` | `createReferencedPackagesScope(PatternModel model)`
    `protected org.eclipse.xtext.scoping.IScope` | `createUnqualifiedClassifierScope(org.eclipse.emf.ecore.EObject ctx)`
    `org.eclipse.xtext.scoping.IScope` | `getScope(org.eclipse.emf.ecore.EObject ctx, org.eclipse.emf.ecore.EReference ref)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.scoping.batch.XbaseBatchScopeProvider

      `delegateGetScope, getDelegate, getFeatureScopes, isBatchScopeable, isConstructorCallScope, isFeatureCallScope, isTypeScope, newSession, setDelegate, setWrapper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.scoping.impl.IDelegatingScopeProvider

      `setWrapper`

- - ### Constructor Detail

    - #### EMFPatternLanguageDeclarativeScopeProvider

          public EMFPatternLanguageDeclarativeScopeProvider()

  - ### Method Detail

    - #### getScope

          public org.eclipse.xtext.scoping.IScope getScope(org.eclipse.emf.ecore.EObject ctx,
                                                           org.eclipse.emf.ecore.EReference ref)

      Specified by:
        `getScope` in interface `org.eclipse.xtext.scoping.IScopeProvider`
      Overrides:
        `getScope` in class `org.eclipse.xtext.xbase.scoping.batch.XbaseBatchScopeProvider`

    - #### createUnqualifiedClassifierScope

          protected org.eclipse.xtext.scoping.IScope createUnqualifiedClassifierScope(org.eclipse.emf.ecore.EObject ctx)

    - #### createReferencedPackagesScope

          protected org.eclipse.xtext.scoping.IScope createReferencedPackagesScope(PatternModel model)

    - #### createClassifierScope

          protected org.eclipse.xtext.scoping.IScope createClassifierScope(org.eclipse.emf.ecore.EPackage ePackage,
                                                                           org.eclipse.xtext.scoping.IScope outer)